Не нравятся результаты поиска? Попробуйте другой поиск!
DLE FAQ » Все вопросы » Общие вопросы » Правильный порядок обновления DLE с модификациями

Правильный порядок обновления DLE с модификациями


     20.01.2012    обновление, dle 9.5    Все вопросы » Общие вопросы    3150

вопрос
Доброго времени суток!!!
Хотел узнать можно ли так обновить сайт.
Обновляем старый сайт до актуальной версии 9.5 берем от туда нашу базу обновлюную и заливаем ее на на новенький DLE 9.5 чисты.
Можно ли такое сделать?и какие файлы нужны будут от старого сайта
Я думаю что
  1. config.php
  2. dbconfig.php
  3. xfields.txt
  4. папка uploads


И посоветуйте можно ли уже обновляться до 9.5

P.S.На старом сайте довольно много лишних файлов,от старых модулей и тому подобное.

Ответил: ПафНутиЙ


Да, обычно так и делают.
Только для "чистоты эксперимента" нужно руками перенастроить новый двиг, а не копировать config.php и dbconfig.php.
Так же скорее всего придётся создать и удальить новое допполе, чтобы двиг увидел старые.

8 комментариев

Heon
Юзер

Heon - 20 января 2012 15:52 -

Да, обычно так и делают.

Я раньше просто по верх старых добавлял новые с заменой,то есть это было не совсем правильно?

PS Спасибо за ответ,и за проект в целом!!

И еще хотел бы мнение экспертов или просто обновившихся людей узнать,можно ли уже обновляться до актуальной версии сайта?

ПафНутиЙ
Админ

ПафНутиЙ - 20 января 2012 16:16 -

Да, можно и даже нужно )))

Каков вопрос - таков и ответ. Просто помните об этом.

Yamakasi
Юзер

Yamakasi - 23 января 2012 02:36 -

Heon,
вот загвоздка у Вас может быть при обновлении если у Вас стоят доп. модули, они могут на новой версии не работать, а чтобы заработало, надо переделывать их или тоже обнову искать.
А поверх сверху с заменой не есть правильно, как сказал ПафНутиЙ, делается всё это ручками. И прежде чем переносить, для начало пробуйте это сделать на локалке!!!!

rusork
Юзер

rusork - 23 мая 2012 18:54 -

Подскажите, пожалуйста, как правильно обновиться с dle 9.0 до 9.6? После установки чистой 9.6, через админку сайта старая база загружаться не хочет, а когда импортирую в панеле хостинга, то она слетает.

ПафНутиЙ
Админ

ПафНутиЙ - 23 мая 2012 23:55 -

нужно накатить обновление на 9.0 (лучше на локалке), потом поставить чистую 9.6 и залить на неё дамп БД от обновлённой версии 9.0 (дамп делать НЕ средствами DLE, а лучше через phpMyAdmin)

Каков вопрос - таков и ответ. Просто помните об этом.

nowheremany
Эксперт

nowheremany - 24 мая 2012 09:51 -

Вообще не понимаю че вы паритесь?
Хочется делать на локалке, потом на сайте? - заменяем все файлы, запускаем в update, бэкапим БД, заливаем все на хост
Хочется на самом сайте? заменяем все файлы, запускаем в update.

В чем проблемы то?

Благодарность принимаю тут Связь

rusork
Юзер

rusork - 24 мая 2012 11:47 -

Вроде делаю все как надо, но все-равно одно и тоже, вот такая ошибка появляется


Раз 5 уже пробовал обновлять файлы и так и сяк сохранял базу, импортировал и через phpMyAdmin и через админку DLE, но все без толку.

В MySQL не понимаю ничего. Может подскажете что означает эта ошибка, может можно выполнить какие-нибудь запросы, чтобы ее исправить?

rusork
Юзер

rusork - 24 мая 2012 13:13 -

После долгих попыток нашел из-за чего это происходит. Данная ошибка возникает если заменить старый файл engine/modules/topnews.php на новый от dle 9.6

После чистой установки 9.6 и импорта обновленной базы, заменил файл topnews.php на старый от 9.0 и все.

Чтобы комментировать - войдите или зарегистрируйтесь на сайте

Похожие вопросы

наверх